/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.platform.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 环境管理
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-08-25 11:00:01  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "环境管理")
public class CpEnv extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_envName = "envName";
  public static final String KEY_memo = "memo";
  public static final String KEY_defaultFlag = "defaultFlag";
  public static final String KEY_deleted = "deleted";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_tenantId = "tenantId";

  /**
   * 主键id<br>
   */
  @ApiModelProperty("主键id")
  @Size(max = 32, message="主键id-id: 数据长度不能 > 32" )
  private String id;

  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 32, message="主键id-id: 数据长度不能 > 32" )
  private String proId;

  /**
   * 系统名称<br>
   */
  @ApiModelProperty("系统名称")
  private String proName;

  /**
   * 环境名称<br>
   */
  @ApiModelProperty("环境名称")
  @Size(max = 30, message="环境名称-envName: 数据长度不能 > 30" )
  private String envName;
  /**
   * 环境描述<br>
   */
  @ApiModelProperty("环境描述")
  @Size(max = 255, message="环境描述-memo: 数据长度不能 > 255" )
  private String memo;
  /**
   * 是否默认<br>
   */
  @ApiModelProperty("是否默认")
  private Boolean defaultFlag;
  /**
   * 是否删除<br>
   */
  @ApiModelProperty("是否删除")
  private Boolean deleted;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 修改人<br>
   */
  @ApiModelProperty("修改人")
  @Size(max = 32, message="修改人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 修改时间<br>
   */
  @ApiModelProperty("修改时间")
  private Date updatedTime;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;

  public String getProName() {
    return proName;
  }

  public void setProName(String proName) {
    this.proName = proName;
  }

  public String getProId() {
    return proId;
  }

  public void setProId(String proId) {
    this.proId = proId;
  }

  /**
   * 主键id<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键id<br>
   *
   * @param id 主键id
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 环境名称<br>
   */
  public String getEnvName()
  {
      return envName;
    }

  /**
   * 环境名称<br>
   *
   * @param envName 环境名称
   */
  public void setEnvName(String envName)
  {
      this.envName = envName;
    }
  /**
   * 环境描述<br>
   */
  public String getMemo()
  {
      return memo;
    }

  /**
   * 环境描述<br>
   *
   * @param memo 环境描述
   */
  public void setMemo(String memo)
  {
      this.memo = memo;
    }
  /**
   * 是否默认<br>
   */
  public Boolean getDefaultFlag()
  {
      return defaultFlag;
    }

  /**
   * 是否默认<br>
   *
   * @param defaultFlag 是否默认
   */
  public void setDefaultFlag(Boolean defaultFlag)
  {
      this.defaultFlag = defaultFlag;
    }
  /**
   * 是否删除<br>
   */
  public Boolean getDeleted()
  {
      return deleted;
    }

  /**
   * 是否删除<br>
   *
   * @param deleted 是否删除
   */
  public void setDeleted(Boolean deleted)
  {
      this.deleted = deleted;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 修改人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 修改人<br>
   *
   * @param updatedBy 修改人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 修改时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 修改时间<br>
   *
   * @param updatedTime 修改时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public CpEnv()
  {
  }

}
